
\NeedsTeXFormat{LaTeX2e}               
\ProvidesClass{bsi}[2012/01/05]     

\LoadClass[10pt,a4paper,twocolumn]{article}
\RequirePackage[a4paper]{geometry}
\RequirePackage{graphicx} 
\RequirePackage{times} 
%\RequirePackage{cite}
\RequirePackage{amsmath}
\RequirePackage{balance}  

\geometry{left=2cm,top=2cm,right=2cm,bottom=2.5cm}
\columnsep 1cm

\def\@maketitle{\newpage\begin{center}
      \vskip2.6em{\Large\bf\@title\par}\vskip16pt         
      {\lineskip.5em\sffamily\@author\par} 
    \end{center}\par\vskip 1.4em}


\def\abstract{
      \fontsize{11}{11}  \selectfont 
      \centerline{\bf Abstract }\vspace{1em}\normalsize\it  \sffamily}
\def\endabstract{\vspace{0.6em}\par
\normalsize\rm}
    
\def\keywords{
      \fontsize{11}{11}  \selectfont 
      \bf Keywords \small\it  \sffamily}
\def\endkeywords{\vspace{0.6em}\par
\normalsize\rm}

\def\section{\@startsection {section}{1}{\z@}{1.0em 		      
               plus .5ex minus .2ex}{1.0em plus .2ex}{\large\bf}}     
\def\subsection{\@startsection{subsection}{2}{\z@}{1.0em	
               plus .5ex minus .2ex}{1.0em plus .2ex}{\large\bf}}     
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}{1.0em	      
               plus .5ex minus .2ex}{1.0em plus .2ex}{\large\bf}}     

  \def\paragraph{\@startsection{paragraph}{4}{\z@}{1.0ex plus .5ex
     minus .2ex}{0ex}{\rm}}
    
\newenvironment{correspondence}{
                \fontsize{8}{8}\selectfont \sffamily 
                \setlength{\parindent}{0pt}
                \setlength{\parskip}{5pt plus 2pt minus 1pt}\vspace{2em}
                 Address for correspondence: \par 
                }{\normalsize}
    

                
     
